package digital.laboratory.platform.inspection.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.dto.TestRecordSampleSolutionDto;
import digital.laboratory.platform.inspection.entity.TestRecordSampleSolution;

import java.util.List;

public interface TestRecordSampleSolutionService extends IService<TestRecordSampleSolution> {
    TestRecordSampleSolution addTestRecordSampleSolution(TestRecordSampleSolutionDto testRecordSampleSolutionDto);

    boolean delTestRecordSampleSolution(String  id);

    TestRecordSampleSolution updateTestRecordSampleSolution(TestRecordSampleSolutionDto testRecordSampleSolutionDto);

    List<TestRecordSampleSolution> getSolutionList(String testId,String keywords);

    IPage<TestRecordSampleSolution> getSolutionPage(Page<TestRecordSampleSolution> page, String testId,String keywords);

    List<TestRecordSampleSolution> matchingWeighing(String testId);

    boolean createTaskSamSol(String testId);

    List<TestRecordSampleSolution> copySolution(TestRecordSampleSolutionDto testRecordSampleSolutionDto);

    void isLoadSample(String acceptNo, String testId);
}
